# Export subscriptions Downloads a CSV file with all the subscriptions that match the search request. **GET** `/preapproval/export` ## Request parameters ### Path - `collector_id` (number, required) ID of the collector requesting the subscriptions. - `preapproval_plan_id` (string, optional) Specifies a Plan ID for filtering results from the export. - `status` (string, optional) Specifies a status for filtering results from the export. Can be null, one or more than one. - `sort` (string, optional) Specifies the type of sorting selected to retrieve the subscriptions. You must indicate a field and a sort type with the following format field_name:sort_type. ## Response parameters This endpoint has no response body. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 401 | 401 | Unauthorized | | 500 | 500 | Error | ## Request example ### cURL ```bash curl -X GET \ 'https://api.mercadopago.com/preapproval/export' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ```